var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;

class LaunchchannelCtl extends CtlBase {
    constructor() {
        super("configmag", CtlBase.getServiceName(LaunchchannelCtl));
    }

    /**
     * 重写添加方法
     * @param pobj
     * @returns {Promise<{msg: string, data: *, bizmsg: string, status: number}>}
     */
    async create(pobj){
        const result = await this.service.createChannel(pobj);
        return result;
    }

    async refQuery(pobj, qobj, req) {
        pobj.refwhere.company_id = pobj.company_id;
        let rtn = await this.service.refQuery(pobj);
        return rtn
    }

}

module.exports = LaunchchannelCtl;
